View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013581VTK(No Category)public2012-10-28 14:502013-02-24 19:13
ReporterDavid Gobbi 
Assigned ToDavid Gobbi 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0013581: Wrapped templated classes and module boundaries
DescriptionTestTemplates has been failing since the vtkTuple was moved from CommonDataModel to CommonMath. Because of the move, the python wrappers no longer recognize vtkTuple as the superclass of vtkVector and vtkColor, resulting in loss of functionality within the python wrappers.

The problem is that vtkWrapPython searches through the module hierarchy file to see what instances of each templated class are used within its own module, but vtkWrapPython cannot know how a templated class might be used in other modules. Hence, vtkWrapPython cannot know what instances of the vtkTuple template are required by the vtkVector header file, because vtkVector.h is in a different module.

The solution could either be a "global view" mechanism or some sort of hinting mechanism, the latter is preferable. The hints for vtkTuple<T,N> would be T=uchar,int,float,double and N=2,3,4.

Another issue is that special wrapper files for non-vtkObjectBase types like vtkVectorPython.cxx do not use import/export macros yet. For each type that is referred to, it will be necessary to check if that type is within the current module (EXPORT) or a different module (IMPORT).
TagsNo tags attached.
ProjectTBD
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030377)
David Gobbi (developer)
2013-02-24 19:13

Fixed by commit c2bd3fdb on Feb 4, 2013.

- Issue History
Date Modified Username Field Change
2012-10-28 14:50 David Gobbi New Issue
2012-10-28 14:50 David Gobbi Status backlog => tabled
2012-10-28 14:50 David Gobbi Assigned To => David Gobbi
2013-02-24 19:13 David Gobbi Note Added: 0030377
2013-02-24 19:13 David Gobbi Status tabled => closed
2013-02-24 19:13 David Gobbi Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker